
#include <wx/wx.h>
#include <wx/textctrl.h>
#include <wx/checkbox.h>
#include <wx/tglbtn.h>
#include <wx/choice.h>
#include <wx/button.h>
#include <wx/frame.h>
#include <wx/spinctrl.h>
#include <wx/timer.h>
#include <wx/scrolbar.h>



class wxosciv2Frame:public wxFrame {
  public:
    wxosciv2Frame(wxWindow * parent, wxWindowID id = -1);
    virtual ~ wxosciv2Frame();

    void Repintado(void);
    void RepresentarVol(int z);
    void Representar(int z);
    void ModifiG();
    int test3v3(void);
    int SearchPort2(void);
    int openOsci(void);


    wxClientDC *dcPantalla;
    wxMemoryDC *dcBuffer;
    wxBitmap *m_bitmap;

  private:
     DECLARE_EVENT_TABLE()
	//(*Handlers(wxosciv2Frame)
    void OnQuit(wxCommandEvent & event);
    void OnAbout(wxCommandEvent & event);
    void OnRadioButton1(wxCommandEvent & event);
    void OnModoDibujo(wxCommandEvent & event);
    void OnBdeviceSelected(wxCommandEvent & event);
    void OnStimerChange(wxSpinEvent & event);
    void OnSdivisorSelect(wxCommandEvent & event);
    void OnSzoomSelect(wxCommandEvent & event);
    void OnSdesplazamientoScrollChanged(wxScrollEvent & event);
    void OnBUP_TClick(wxCommandEvent & event);
    void OnBDOWN_TClick(wxCommandEvent & event);
    void OnTimer1Trigger(wxTimerEvent & event);
    void OnClose(wxCloseEvent & event);
    void OnPaint(wxPaintEvent & event);
    
    void OnVrefSelect(wxCommandEvent & event);
    //*)


    //(*Declarations(wxosciv2Frame)
    wxChoice *Szoom;
    wxRadioButton *RadioButton1;
    wxToggleButton *BModoDibujo;
    wxStaticText *StaticText2;
    wxRadioButton *RadioButton2;
    wxButton *BUP_T;
    wxRadioButton *RadioButton4;
    wxTextCtrl *Tdivisor;
    wxStaticText *StaticText1;
    wxStaticText *StaticText3;
    wxRadioButton *RadioButton3;
    wxButton *BDOWN_T;
    wxTextCtrl *Bconsola;
    wxTextCtrl *Tvoltios;
    wxComboBox *Bdevice;
    wxStatusBar *StatusBar1;
    wxButton *Bacerca;
    wxButton *Bexit;
    wxChoice *Sdivisor;
    wxStaticText *StaticText4;
    wxSpinCtrl *Stimer;
    wxScrollBar *Sdesplazamiento;
    wxTimer Timer1;
    
    wxChoice *Svref;
    //*)
};

class MiAplicacion:public wxApp {
  public:
    virtual bool OnInit();
};


bool MiAplicacion::OnInit()
{
    wxInitAllImageHandlers();
    wxosciv2Frame *Frame = new wxosciv2Frame(0);
    Frame->Show();
    return true;
}
